> For the complete documentation index, see [llms.txt](https://docs.holder.xyz/holder-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.holder.xyz/holder-api/contacts/contact-fields.md).

# Contact Fields

### Updating standard field contact values

**update route**

<mark style="background-color:purple;">PUT:</mark> `/fields/standardField/:fieldName`

#### Possible Field Names

| :fieldName      | Field Value Type | Description                                                       |
| --------------- | ---------------- | ----------------------------------------------------------------- |
| discordUsername | string           | The discord username for unauthenticated Discord contacts.        |
| twitterUsername | string           | The twitter username for unauthenticated Twitter contacts.        |
| email           | string           | The contact's email.                                              |
| phoneNumber     | string           | The contacts phone number stored as a string. i.e. '+13175551234' |
| birthday        | int              | The contacts birthday stored as an Epoch timestamp.               |

**Body Structure**

| FIELD     | TYPE                               | Description                                |
| --------- | ---------------------------------- | ------------------------------------------ |
| contactId | string                             | Id of the contact.                         |
| value     | [fieldName](#possible-field-names) | Updated value of the field being updated . |

**Return**

| CODE | RETURN        |
| ---- | ------------- |
| 201  | Updated Value |
| 400  | Field Error   |
| 500  | Neo4j Error   |

###

### Updating custom field contact values

**update route**

<mark style="background-color:purple;">PUT:</mark> `/fields/customField/:customFieldId`

**Body**

| FIELD     | TYPE   | Description                               |
| --------- | ------ | ----------------------------------------- |
| contactId | string | Id of the contact.                        |
| value     | any    | Updated value of the field being updated. |

**Return**

| CODE | RETURN                      |
| ---- | --------------------------- |
| 201  | Updated Value               |
| 403  | Cannot Edit Readonly fields |
| 404  | Custom Field not Found      |
| 500  | Neo4j Error                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.holder.xyz/holder-api/contacts/contact-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
